#ifndef DOUBLEPOINT_H
#define DOUBLEPOINT_H

/// A class to display to store an x, y coordinate of type double.
///
class DoublePoint {
public:
    double x, y;

    /// \fn DoublePoint()
    /// \~English
    /// \brief default constructor
    /// \~Spanish
    /// \brief constructor por defecto
    ///
    DoublePoint() {x = 0; y = 0;}


    /// \fn DoublePoint(double xp, double yp)
    /// \~English
    /// \brief constructor that sets the coordinates
    /// \~Spanish
    /// \brief constructor que setea las coordenadas
    ///
    DoublePoint(double xp, double yp) { x = xp; y = yp; }
};

#endif // DOUBLEPOINT_H
